Package ch.ntb.usb

# Class Usb_Interface

java.lang.Object
ch.ntb.usb.Usb_Interface

public class Usb_Interface extends Object
Represents an USB interface.
An interface is a group of alternate settings of a configuration.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`USB_MAXALTSETTING`
Maximal number of alternate settings

## Constructor Summary

Constructors
Constructor
Description
`Usb_Interface()`

## Method Summary

Modifier and Type
Method
Description
`Usb_Interface_Descriptor[]`
`getAltsetting()`
Retuns an array of interface descriptors.
`int`
`getNumAltsetting()`
Returns the number of alternate settings.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### USB_MAXALTSETTING

public static final int USB_MAXALTSETTING
Maximal number of alternate settings

See Also:
  - Constant Field Values

## Constructor Details

### Usb_Interface

public Usb_Interface()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getAltsetting

public Usb_Interface_Descriptor[] getAltsetting()
Retuns an array of interface descriptors.

Returns:
  an array of interface descriptors

### getNumAltsetting

public int getNumAltsetting()
Returns the number of alternate settings.

Returns:
  the number of alternate settings